%define name		TekNap
%define version		1.4cvs
%define release		10.1%{_my_ext}
%define summary		TekNap is a unix console based napster client

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}

URL:		http://rpm.borgnet.us/
License:	GPL
Group:		Networking/File Transfer
Source:		http://bwap.clawz.com/TekNap-1.4cvs.tar.bz2
BuildArch:	i586
BuildRoot:	%_tmppath/%name-%version-root
Prefix:		%_prefix
Requires:	gcc2.96
BuildRequires:	gtk+-devel, ncurses-devel, gcc2.96

%description
TekNap is a unix console based napster client. It
includes an extremely powerful scripting language, a
ncurses based search/browse interface, optional GTK
search/browse interface. The TekNap client is based on years of
experience writing a IRC client called
BitchX (www.bitchx.com) and as such looks and feels
exactly like my IRC client. TekNap is one of the few
clients written to take advantage of the "opennap"
(opennap.sourceforge.net) server, which is a
open-source napster server clone that I have helped
develop. 

Build Options: --enable-cdrom --with-gtk --enable-xmms --enable-mp3 --enable-ipv6

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build

CC=gcc-2.96 ./configure i586-mandrake-linux-gnu \
		--program-prefix= --prefix=/usr \
		--exec-prefix=/usr --bindir=/usr/bin \
		--sbindir=/usr/sbin --sysconfdir=/etc \
		--datadir=/usr/share --includedir=/usr/include \
		--libdir=/usr/lib --libexecdir=/usr/lib \
		--localstatedir=/var/lib \
		--sharedstatedir=/usr/com \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--target=i486-mandrake-linux-gnu \
		--enable-cdrom --with-gtk --enable-xmms --enable-mp3 \
		--enable-ipv6 --with-default-server=satanshome.ath.cx:1122:::

make

%install

mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
cp doc/TekNap.1 $RPM_BUILD_ROOT/usr/share/man/man1/

install -m644 %{name}.png -D %buildroot/%{_iconsdir}/%{name}.png


# remove all CVS files so that they don't get "accidently" installed
for CVSDIR in `find . -type d -name CVS` ; do
    rm -rf $CVSDIR
done

%makeinstall

mkdir -p ${RPM_BUILD_ROOT}%{_menudir}

cat << EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
icon=%{name}.png \
needs="text" section="Internet/File transfer" title="%{name}" \
longtitle="%{summary}"
EOF

# fix the bad symlink
ln -sf TekNap-1.4-cvs $RPM_BUILD_ROOT%{_bindir}/%{name}

%pre
rm -fr /usr/bin/TekNap-1.3f
rm -fr /usr/bin/TekNap-1.3g
rm -fr /usr/bin/TekNap-1.4cvs
rm -fr /usr/bin/TekNap-1.4-cvs
rm -fr /usr/bin/TekNap

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/*

%files
%defattr(-,root,root)
%doc COMPILE COPYRIGHT Changelog README doc script
%{_bindir}/%{name}*
%{_datadir}/%{name}/*
%{_menudir}/%{name}
%{_mandir}/man1/TekNap.1*
%_iconsdir/%{name}.png

%changelog

* Sat Sep 24 2005 Scott Grayban <sgrayban@borgnet.us> 1.4cvs-10.1bgn
  - Fixed spec file im menu creating.
  - Fixed menu creation
  - Update MANpage to show current website for TekNap
  - Added TekNap menu icon
  - fixed compile error with -fno-strict-aliasing

* Thu Sep 22 2005 Scott Grayban <sgrayban@borgnet.us> 1.4cvs-1bgn
  - New version

* Wed Dec 10 2004 Scott Grayban <sgrayban@borgnet.us> 1.3g-5bgn
  - Rebuild
  - Fixed CFLAGS error since it has to be compiled for -march=i486
  - rebuild string is no longer needed
  
* Wed Nov 10 2004 Scott Grayban <sgrayban@borgnet.us>
  - Rebuild for MDK 10.1
  - New type of rebuild requires --target now since TekNap
    only builds under gcc 2.96
  - rpmbuild --target=i486-mandrake-linux -ba --sign TekNap.spec

* Fri Jul 23 2004 <sgrayban@borgnet.us> 1.3g-2bgn
  - Rebuilded for new release extension
  - Rebuilded for i486 arch.

* Wed Jul 21 2004 Scott Grayban <sgrayban@borgnet.net> 1.3g-1.100mdk
  - Fixed the teknap version

* Sat Jul 17 2004 Scott Grayban <sgrayban@borgnet.net> 1.3g-100mdk
  - rebuilded and compiled for Mandrake 10.x using gcc2.96

* Thu Jun 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3f-1mdk
  - updated to 1.3f

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-2mdk
  - rebuilded

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2-1mdk
  - updated to 1.2
  - used srpm from Alexander Skwar <ASkwar@DigitalProjects.com>

* Thu Aug 31 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.0-2mdk
  - Fixed menu entry

* Wed Aug 30 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.0-1mdk
  - First Mandrake package
